# Uses of Class
org.codehaus.janino.Java.ConstructorInvocation

Packages that use Java.ConstructorInvocation
Package
Description
org.codehaus.janino
The core of the Janino Java compiler.
org.codehaus.janino.util
Application-independent helper classes.

## Uses of Java.ConstructorInvocation in org.codehaus.janino

Subclasses of Java.ConstructorInvocation in org.codehaus.janino
Modifier and Type
Class
Description
`static final class`
`Java.AlternateConstructorInvocation`
Representation of a JLS7 8.8.7.1.
`static final class`
`Java.SuperConstructorInvocation`
Representation of a JLS7 8.8.7.1.
Fields in org.codehaus.janino declared as Java.ConstructorInvocation
Modifier and Type
Field
Description
`final Java.ConstructorInvocation`
Java.ConstructorDeclarator.`constructorInvocation`
The `Java.AlternateConstructorInvocation` or `Java.SuperConstructorInvocation`, if any.
Methods in org.codehaus.janino with parameters of type Java.ConstructorInvocation
Modifier and Type
Method
Description
`R`
Visitor.AtomVisitor.`visitConstructorInvocation(Java.ConstructorInvocation ci)`
Invoked by `accept(Visitor.AtomVisitor)`.
Constructors in org.codehaus.janino with parameters of type Java.ConstructorInvocation
Modifier
Constructor
Description
``
`ConstructorDeclarator(Location location, String docComment, Java.Modifier[] modifiers, Java.FunctionDeclarator.FormalParameters formalParameters, Java.Type[] thrownExceptions, Java.ConstructorInvocation constructorInvocation, List<? extends Java.BlockStatement> statements)`

## Uses of Java.ConstructorInvocation in org.codehaus.janino.util

Methods in org.codehaus.janino.util that return Java.ConstructorInvocation
Modifier and Type
Method
Description
`Java.ConstructorInvocation`
DeepCopier.`copyAlternateConstructorInvocation(Java.AlternateConstructorInvocation subject)`
`Java.ConstructorInvocation`
DeepCopier.`copyConstructorInvocation(Java.ConstructorInvocation subject)`
`Java.ConstructorInvocation`
DeepCopier.`copyOptionalConstructorInvocation(Java.ConstructorInvocation subject)`
`Java.ConstructorInvocation`
DeepCopier.`copySuperConstructorInvocation(Java.SuperConstructorInvocation subject)`
Methods in org.codehaus.janino.util with parameters of type Java.ConstructorInvocation
Modifier and Type
Method
Description
`Java.ConstructorInvocation`
DeepCopier.`copyConstructorInvocation(Java.ConstructorInvocation subject)`
`Java.ConstructorInvocation`
DeepCopier.`copyOptionalConstructorInvocation(Java.ConstructorInvocation subject)`
`void`
AbstractTraverser.`traverseConstructorInvocation(Java.ConstructorInvocation ci)`
`void`
Traverser.`traverseConstructorInvocation(Java.ConstructorInvocation ci)`